Skip to navigation

Add recipients to envelope

View as Markdown

Adds one or more recipients to an envelope.

For an in-process envelope, one that has been sent and has not been completed or voided, an email is sent to a new recipient when they are reached in the routing order. If the new recipient’s routing order is before or the same as the envelope’s next recipient, an email is only sent if the optional resend_envelope query string is set to true.

Note: This endpoint creates or updates recipients in an envelope. It does not create or manage recipient tabs. Tabs included in the request body are ignored; to create, update, or remove recipient tabs after recipients are created, use the EnvelopeRecipientTabs Resource.

{
"signers": [
{
"email": "astanton@example.com",
"name": "Anne Stanton",
"recipientId": "1",
"tabs": { // These tabs will NOT be added
"signHereTabs": [ // with this method. See note above.
{
"anchorString": "below",
"tooltip": "please sign here"
},
. . .
]
}
}
]
}

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Query parameters

resend_envelopestringOptional

When true, forces the envelope to be resent if it would not be resent otherwise.

Ordinarily, if the recipient’s routing order is before or the same as the envelope’s next recipient, the envelope is not resent.

Setting this query parameter to false has no effect and is the same as omitting it altogether.

Request

This endpoint expects an object: recipients

agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional
The number of recipients in the envelope.
sealslist of objectsOptional
A list of electronic seals to apply to documents.
signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Response

Successful response.
agentslist of objectsOptional
A list of agent recipients assigned to the documents.
authorizedSignatorieslist of objectsOptional
carbonCopieslist of objectsOptional
A list of carbon copy recipients assigned to the documents.
certifiedDeliverieslist of objectsOptional
A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
currentRoutingOrderstringOptional
The routing order of the current recipient. If this value equals a particular signer's routing order, it indicates that the envelope has been sent to that recipient, but he or she has not completed the required actions.
editorslist of objectsOptional
A list of users who can edit the envelope.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
inPersonSignerslist of objectsOptional
Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
intermediarieslist of objectsOptional

Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).

notarieslist of objectsOptional
A list of notary recipients on the envelope.
notaryWitnesseslist of objectsOptional
participantslist of objectsOptional
recipientCountstringOptional
The number of recipients in the envelope.
sealslist of objectsOptional
A list of electronic seals to apply to documents.
signerslist of objectsOptional
A list of signers on the envelope.
witnesseslist of objectsOptional
A list of signers who act as witnesses on the envelope.

Errors

400
Bad Request Error